<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:android="http://schemas.android.com/apk/res/android" >

    <data >
        <variable
            name="vm"
            type="com.quansu.heifengwuliu.vmodel.AddressAddVModel" />
    </data >

    <LinearLayout
        android:layout_width="match_parent"
        android:orientation="vertical"
        android:layout_height="match_parent">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginTop="12dp"
            android:background="@color/white"
            android:orientation="vertical"
            android:paddingStart="15dp"
            android:paddingEnd="12dp">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="17dp"
                android:focusable="true"
                android:focusableInTouchMode="true"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="联系人"
                    android:textColor="#000000"
                    android:textSize="16sp"></TextView>

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="*"
                    android:textColor="#FB6D4C"
                    android:textSize="16sp"></TextView>


                <com.ysnows.base.widget.DelEditText
                    android:id="@+id/et_name"
                    android:layout_width="match_parent"
                    android:layout_height="36dp"
                    android:layout_marginStart="21dp"
                    android:background="@null"
                    android:hint="@string/please_input_user_name"
                    android:text="@={vm.name}"
                    android:textSize="@dimen/sp_15" />


            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:background="#BBBBBB"
                android:layout_marginTop="@dimen/dp_10"
                android:layout_marginBottom="@dimen/dp_10"
                android:layout_height="@dimen/dp_1">
            </View>


            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="手机号码"
                    android:textColor="#000000"
                    android:textSize="16sp">

                </TextView>
                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="*"
                    android:textColor="#FB6D4C"
                    android:textSize="16sp"></TextView>


                <com.ysnows.base.widget.DelEditText
                    android:id="@+id/et_tel"
                    android:layout_width="match_parent"
                    android:layout_height="36dp"
                    android:layout_marginStart="21dp"
                    android:background="@null"
                    android:hint="@string/please_input_user_phone"
                    android:text="@={vm.phone}"
                    android:textSize="@dimen/sp_15" />




            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:background="#BBBBBB"
                android:layout_marginTop="@dimen/dp_10"
                android:layout_marginBottom="@dimen/dp_10"
                android:layout_height="@dimen/dp_1">
            </View>


            <LinearLayout
                android:id="@+id/ll_position"
                android:layout_width="match_parent"
                android:layout_height="45dp"
                android:onClick="@{v->vm.choseCity()}"
                android:gravity="center_vertical"
               >

                <TextView
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="选择地区"
                    android:textColor="#000000"
                    android:textSize="16sp">

                </TextView>


                <TextView
                    android:id="@+id/tv_position"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_marginStart="10dp"
                    android:layout_weight="1"
                    android:background="@null"
                    android:ellipsize="middle"
                    android:gravity="right"
                    android:hint="请选择位置"
                    android:text="@{vm.cityname}"
                    android:singleLine="true"
                    android:textColor="#2F2F31"
                    android:textColorHint="#929390"
                    android:textSize="16sp">

                </TextView>

                <ImageView
                    android:layout_width="8dp"
                    android:layout_height="13dp"
                    android:layout_marginStart="18dp"
                    android:src="@drawable/mine_right">

                </ImageView>


            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:background="#BBBBBB"
                android:layout_marginTop="@dimen/dp_10"
                android:layout_marginBottom="@dimen/dp_10"
                android:layout_height="@dimen/dp_1">
            </View>

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:gravity="center_vertical"
                android:orientation="vertical"
                android:paddingBottom="10dp"
                android:paddingTop="10dp">
                <LinearLayout
                    android:layout_width="match_parent"
                    android:orientation="horizontal"
                    android:layout_height="wrap_content">

                    <TextView
                        android:layout_width="0dp"
                        android:layout_weight="1"
                        android:layout_height="wrap_content"
                        android:text="详细地址"
                        android:textColor="#000000"
                        android:textSize="16sp">

                    </TextView>

                    <LinearLayout
                        android:id="@+id/ll_chose_map"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:onClick="@{v->vm.choseMap()}"
                        android:gravity="center_vertical">

                        <TextView
                            android:layout_width="wrap_content"
                            android:layout_height="match_parent"
                            android:layout_marginStart="@dimen/dp_10"
                            android:layout_marginEnd="@dimen/dp_10"
                            android:text="地图选点"
                            android:textColor="#5E5C5C"
                            android:textSize="@dimen/sp_15"></TextView>

                        <ImageView
                            android:layout_width="20dp"
                            android:layout_height="20dp"
                            android:src="@drawable/map_address" />

                    </LinearLayout>

                </LinearLayout>



                <com.ysnows.base.widget.DelEditText
                    android:id="@+id/et_details_address"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:minHeight="36dp"
                    android:background="@drawable/bg_order_scnner"
                    android:gravity="center_vertical"
                    android:hint="街道门牌信息"
                    android:text="@{vm.address}"
                    android:paddingStart="11dp"
                    android:textColor="#2F2F31"
                    android:textColorHint="#929390"
                    android:layout_marginTop="10dp"
                    android:textSize="@dimen/sp_15" />





            </LinearLayout>

            <View
                android:layout_width="match_parent"
                android:background="#BBBBBB"
                android:layout_marginTop="@dimen/dp_10"
                android:layout_marginBottom="@dimen/dp_10"
                android:layout_height="@dimen/dp_1">
            </View>
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginBottom="5dp"
                android:gravity="center_vertical"
                android:orientation="horizontal">
                <TextView
                    android:layout_width="0dp"
                    android:layout_weight="1"
                    android:layout_height="wrap_content"
                    android:text="设为默认"
                    android:textColor="#000000"
                    android:textSize="16sp">
                </TextView>

                <ImageView
                    android:id="@+id/img_default"
                    android:layout_width="40dp"
                    android:layout_height="match_parent"
                    android:layout_marginLeft="18dp"
                    android:onClick="@{v->vm.choseDefault()}"
                    android:src="@{vm.checked==1?@drawable/ic_default_on:@drawable/ic_default_off,default=@drawable/ic_default_on}">

                </ImageView>

            </LinearLayout>


            <com.qmuiteam.qmui.widget.roundwidget.QMUIRoundLinearLayout
                android:id="@+id/ll_save"
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:layout_marginStart="10dp"
                android:layout_marginBottom="20dp"
                android:layout_marginTop="@dimen/dp_40"
                android:layout_marginEnd="10dp"
                android:onClick="@{v->vm.setSave()}"
                android:orientation="horizontal"
                android:gravity="center"
                app:qmui_backgroundColor="#5D76F4"
                app:qmui_borderColor="#5D76F4"
                app:qmui_radius="@dimen/dp_4"
                app:qmui_shadowAlpha="0.56"
                app:qmui_shadowElevation="7dp">


                <TextView
                    android:layout_width="wrap_content"
                    android:textSize="@dimen/sp_16"
                    android:textColor="@color/white"
                    android:text="添加"
                    android:layout_height="wrap_content">

                </TextView>


            </com.qmuiteam.qmui.widget.roundwidget.QMUIRoundLinearLayout>











        </LinearLayout>


    </LinearLayout>
</layout >
